scala.tools.cmd.gen.AnyVals

# I

#### object I extends AnyValNum

Source
  AnyVals.scala

Linear Supertypes
AnyVals.AnyValNum, AnyVals.AnyValRep, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. I
2. AnyValNum
3. AnyValRep
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Op(op: String, doc: String) extends Product with Serializable

   Definition Classes
     AnyValNum

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def assemble(decl: String, lines: List[String]): String

   Definition Classes
     AnyValRep

6. #### def bitwiseOps: collection.immutable.List[Op]

   Definition Classes
     AnyValNum

7. #### def boxUnboxImpls: Map[String, String]

   Definition Classes
     AnyValRep

8. #### def boxedName: String

   Definition Classes
     AnyValRep

9. #### def boxedSimpleName: String

   Definition Classes
     AnyValRep

10. #### def classDoc: String

    Definition Classes
      AnyValRep

11. #### def classLines: collection.immutable.List[String]

    Definition Classes
      AnyValNum → AnyValRep

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def clumps: List[List[String]]

    Definition Classes
      AnyValNum

14. #### def coercionComment: String

    Definition Classes
      AnyValNum

15. #### def commonClassLines: collection.immutable.List[String]

    Definition Classes
      AnyValRep

16. #### def comparisonOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def implicitCoercions: List[String]

    Definition Classes
      AnyValNum

23. #### def indent(s: String): String

    Definition Classes
      AnyValRep

24. #### def indentN(s: String): String

    Definition Classes
      AnyValRep

25. #### def interpolate(s: String): String

    Definition Classes
      AnyValRep

26. #### def interpolations: Map[String, String]

    Definition Classes
      AnyValRep

27. #### def isCardinal: Boolean

    Definition Classes
      AnyValNum

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### val javaEquiv: String

    Definition Classes
      AnyValRep

30. #### def lcname: String

    Definition Classes
      AnyValRep

31. #### def make(): String

    Definition Classes
      AnyValRep

32. #### def mkBinOpsGroup(ops: List[Op], args: List[AnyVals.AnyValNum], resultFn: (AnyVals.AnyValNum) ⇒ AnyVals.AnyValRep): List[String]

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    ops

      list of function names e.g. List(">>", "%")

    args

      list of types which should appear as arguments

    resultFn

      function which calculates return type based on arg type

    returns

      list of function definitions

    Definition Classes
      AnyValNum

33. #### def mkClass: String

    Definition Classes
      AnyValRep

34. #### def mkCoercions: collection.immutable.List[String]

    Definition Classes
      AnyValNum

35. #### def mkImports: String

    Definition Classes
      AnyValRep

36. #### def mkObject: String

    Definition Classes
      AnyValRep

37. #### def mkShiftOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

38. #### def mkStringOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

39. #### def mkUnaryOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

40. #### val name: String

    Definition Classes
      AnyValRep

41. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

42. #### final def notify(): Unit

    Definition Classes
      AnyRef

43. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

44. #### def objectDoc: String

    Definition Classes
      AnyValRep

45. #### def objectLines: List[String]

    Definition Classes
      AnyValNum → AnyValRep

46. #### def opType(that: AnyVals.AnyValNum): AnyVals.AnyValNum

    Definition Classes
      AnyValNum

47. #### def otherOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

48. #### val repr: Option[String]

    Definition Classes
      AnyValRep

49. #### def representation: String

    Definition Classes
      AnyValRep

50. #### def shiftOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

51. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

52. #### def toString(): String

    Definition Classes
      AnyValRep → AnyRef → Any

53. #### def unaryOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

54. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

55. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

56. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### def zeroRep: String

    Definition Classes
      AnyValRep

### Inherited from AnyVals.AnyValNum

### Inherited from AnyVals.AnyValRep

### Inherited from AnyRef

### Inherited from Any

### Ungrouped